Skip to main content
POST
Créer une liste

Usage

Creates a new list according to the visibility and list-type options supported by the API. Authentication is required via x-api-key or Authorization: Bearer. Write access requires the permissions associated with a secret key (sk_).

Example

Parameters and response

The request body and responses are defined by the OpenAPI specification displayed on this page.

Errors

See Responses for the operation-specific error codes and formats.

Authorizations

x-api-key
string
header
required

Clé API dejaVu. pk_* = lecture seule ; sk_* = lecture et écriture.

Body

application/json
name
string
required

Nom de la liste

description
string
visibility
enum<string>
default:PRIVATE
Available options:
PRIVATE,
PUBLIC,
SHARED
kind
enum<string>
Available options:
media,
episode

Response

Liste créée

id
string
name
string
description
string | null
visibility
enum<string>
Available options:
PRIVATE,
PUBLIC,
SHARED
itemCount
integer
createdAt
string<date-time>
updatedAt
string<date-time>